> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get Card entities.

- Product: Salto
- Section: Integration - SALTO Space
- Snapshot: Current
- Method: `GET`
- Path: `/api/salto/cards/`

## Query parameters

### `organization`

Type: `number`  
Required: yes  

Organization ID

### `type`

Type: `string`  
Required: no  

### `salto`

Type: `number`  
Required: no  

### `excludedReservation`

Type: `number`  
Required: no  

### `guest`

Type: `number`  
Required: no  

### `offset`

Type: `number`  
Required: no  

### `limit`

Type: `number`  
Required: no  

### `accommodationUnit`

Type: `number`  
Required: no  

### `reservation`

Type: `number`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.salto.cards.list({
  organization: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/salto/cards/" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "type": "type",
    "validFrom": "2024-07-01T00:00:00Z",
    "validTo": "2024-07-08T00:00:00Z",
    "created": "created",
    "reference": "reference",
    "description": "description",
    "data": "data",
    "automatic": false,
    "modified": "modified",
    "encoded": "encoded",
    "invalidated": "invalidated"
  }
]
```

##### Schema

###### Card[]

Type: `Card[]`  

###### Card

Type: `Card`  

###### `id`

Type: `number`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `reference`

Type: `string`  
Required: no  

The unique identifier of the card in Salto. For normal cards this contains a serial number (ASCII characters). For mobile cards this contains a phone number.

###### `description`

Type: `string`  
Required: no  

###### `data`

Type: `string`  
Required: no  

The binary data of the card in Salto (ASCII characters). Only available for cards with type mobile-binary-card.

###### `validFrom`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `validTo`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `automatic`

Type: `boolean`  
Required: no  
Default: `false`  

###### `created`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

###### `encoded`

Type: `string`  
Format: `date-time`  
Required: no  

###### `invalidated`

Type: `string`  
Format: `date-time`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/salto/cards/methods/list/)
- [TypeScript Markdown](/salto/cards/methods/list.md?lang=typescript)
- [curl Markdown](/salto/cards/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/salto/llms.txt)
- [snapshot llms.txt](/salto/llms.txt)
